
import tweepy
import random

def tweet_random_hashtag(api_key, api_secret_key, access_token, access_token_secret):
    # Authenticate to Twitter
    auth = tweepy.OAuthHandler(api_key, api_secret_key)
    auth.set_access_token(access_token, access_token_secret)
    api = tweepy.API(auth)
    
    # Get a list of all available hashtags
    hashtags = api.get_place_hashtags(id='23424975', count=50)  # Using New York City's WOEID as an example
    
    # Randomly select a hashtag from the list
    random_hashtag = random.choice(hashtags['hashtags'])
    
    # Tweet the selected hashtag
    api.update_status(f'Check out this random hashtag: {random_hashtag["text"]}')



